Subject: Re: books

From: Ross Paterson <[email-masked]>
Date: Wed, 27 Oct 1993 12:36:00 GMT

Katya Ta %{P;@v7<%} <[email-masked]> writes:
> I got a book called "Understanding Japanese Text Processing" by Ken
> Lunde. Anyway there is a reference to a book called "An Introduction to
> Chinese, Japanese and Korean by J. and T. Huang, 1989. What's this like?
> Would it still be reasonable up to date?

My opinion (I didn't like it, and don't think it was ever up to date):

The words "Japanese and Korean" in the title are in lighter type, but
"An Introduction to Chinese Computing in Taiwan" would be more honest.
There is little useful information on Japanese computing and none on
Korean -- not a problem for CCNETters, but Chinese computing doesn't do
much better.  The chapter on input methods is a somewhat informative
introduction, though dated.  The only thing in the whole book I found
useful was the sketch of CCCII.

This book is stuffed with chauvinism and ignorance.  For example,
the GB standard is blasted for having the having the same structure as
JIS, and for having kana but not codes for the radicals (but it does).
That's about it for mainland Chinese computing, except for various
condemnations of pinyin.  The designers of Big-5 are compared to the
"Wu3 Hu2" among other abuse, while the designers of CCCII (guess who)
are described as benefactors of mankind in general and Chinese culture
in particular.

The chapter on Chinese programming languages is by the junior author.
It begins by blasting mere translations of existing programming languages,
saying that what is required are new languages reflecting the unique
Chinese way of thinking and taking advantage of the thousands of iconic
Chinese characters.  He then holds up Forth as a language close to
Chinese philosophy and culture, and shows us Chinese-Forth: Forth with
identifiers in Bopomofo.